/*
 * Copyright 2020 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, analog, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


static const char* __doc_gr_analog_fmdet_cf = R"doc(Implements an IQ slope detector.

input: stream of complex; output: stream of floats


This implements a limiting slope detector. The limiter is in the normalization by the magnitude of the sample

Constructor Specific Documentation:

Make FM detector block.

Args:
    samplerate : sample rate of signal (is not used; to be removed)
    freq_low : lowest frequency of signal (Hz)
    freq_high : highest frequency of signal (Hz)
    scl : scale factor)doc";


static const char* __doc_gr_analog_fmdet_cf_fmdet_cf_0 = R"doc()doc";


static const char* __doc_gr_analog_fmdet_cf_fmdet_cf_1 = R"doc()doc";


static const char* __doc_gr_analog_fmdet_cf_make = R"doc(Implements an IQ slope detector.

input: stream of complex; output: stream of floats


This implements a limiting slope detector. The limiter is in the normalization by the magnitude of the sample

Constructor Specific Documentation:

Make FM detector block.

Args:
    samplerate : sample rate of signal (is not used; to be removed)
    freq_low : lowest frequency of signal (Hz)
    freq_high : highest frequency of signal (Hz)
    scl : scale factor)doc";


static const char* __doc_gr_analog_fmdet_cf_set_scale = R"doc()doc";


static const char* __doc_gr_analog_fmdet_cf_set_freq_range = R"doc()doc";


static const char* __doc_gr_analog_fmdet_cf_freq = R"doc()doc";


static const char* __doc_gr_analog_fmdet_cf_freq_high = R"doc()doc";


static const char* __doc_gr_analog_fmdet_cf_freq_low = R"doc()doc";


static const char* __doc_gr_analog_fmdet_cf_scale = R"doc()doc";


static const char* __doc_gr_analog_fmdet_cf_bias = R"doc()doc";
